## org.apache.batik.css.parser
Class DefaultChildSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractDescendantSelector
          org.apache.batik.css.parser.DefaultChildSelector

All Implemented Interfaces:
  DescendantSelector, Selector

public class DefaultChildSelector
extends AbstractDescendantSelector

This class provides an implementation of the `DescendantSelector` interface.

Field Summary

Fields inherited from class org.apache.batik.css.parser.AbstractDescendantSelector
`ancestorSelector, simpleSelector`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`DefaultChildSelector(Selector ancestor, SimpleSelector simple)` Creates a new DefaultChildSelector object.

Method Summary
`short` `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`java.lang.String` `toString()` Returns a representation of the selector.

Methods inherited from class org.apache.batik.css.parser.AbstractDescendantSelector
`getAncestorSelector, getSimpleSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultChildSelector

    public DefaultChildSelector(Selector ancestor,
                                SimpleSelector simple)

  Creates a new DefaultChildSelector object.

Method Detail

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

### toString

    public java.lang.String toString()

  Returns a representation of the selector.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.